# Uses of Enum Class
java.awt.TrayIcon.MessageType

Packages that use TrayIcon.MessageType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of TrayIcon.MessageType in java.awt

Subclasses with type arguments of type TrayIcon.MessageType in java.awt
Modifier and Type
Class
Description
`static enum`
`TrayIcon.MessageType`
The message type determines which icon will be displayed in the caption of the message, and a possible system sound a message may generate upon showing.
Methods in java.awt that return TrayIcon.MessageType
Modifier and Type
Method
Description
`static TrayIcon.MessageType`
TrayIcon.MessageType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TrayIcon.MessageType[]`
TrayIcon.MessageType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.awt with parameters of type TrayIcon.MessageType
Modifier and Type
Method
Description
`void`
TrayIcon.`displayMessage(String caption, String text, TrayIcon.MessageType messageType)`
Displays a popup message near the tray icon.